Tasks
Update a task
Partially updates a task. All fields are optional.
PATCH
/
tasks
/
{id}
Update a task
curl --request PATCH \
--url https://slog.ai/tasks/{id} \
--header 'Content-Type: application/json' \
--header 'slog-api-key: <api-key>' \
--data '
{
"status": "IN_PROGRESS",
"assigneeId": "user_01jquser0001"
}
'import requests
url = "https://slog.ai/tasks/{id}"
payload = {
"status": "IN_PROGRESS",
"assigneeId": "user_01jquser0001"
}
headers = {
"slog-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'slog-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'IN_PROGRESS', assigneeId: 'user_01jquser0001'})
};
fetch('https://slog.ai/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "task_01jqabcd1111",
"reference": "ENG-42",
"title": "Implement OAuth login",
"description": "Support Google and GitHub as providers.",
"dueDate": "2026-06-15",
"teamId": "team_01jqteam0001",
"team": {
"id": "team_01jqteam0001",
"name": "Engineering",
"prefix": "ENG"
},
"projectId": "proj_01jqproj0001",
"parentId": null,
"assigneeId": "user_01jquser0001",
"assignee": {
"id": "user_01jquser0001",
"name": "Alex Johnson",
"email": "[email protected]",
"avatarUrl": null,
"humanId": null
},
"labels": [
{
"id": "label_01jqlabel001",
"name": "bug",
"color": "#EF4444"
}
],
"createdAt": "2026-05-01T10:00:00.000Z",
"updatedAt": "2026-05-10T14:30:00.000Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Requires ADMIN or OWNER role"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Task not found"
}
}{
"errors": {
"email": [
"The email field must be a valid email address"
],
"code": [
"The code field must be exactly 6 characters long"
]
}
}Authorizations
ApiKeyBearerToken
API key obtained from the Slog dashboard or returned by the signup/invite-redeem
flows. Pass as the slog-api-key header.
Path Parameters
Resource ID (UPID) or, for tasks and projects, the human-readable reference such
as ENG-42.
Body
application/json
Example:
"Implement OAuth login (Google + GitHub)"
Lifecycle status of a task.
Available options:
TODO, IN_PROGRESS, IN_REVIEW, BLOCKED, DONE, CANCELLED Priority level of a task.
Available options:
LOW, MEDIUM, HIGH, URGENT Example:
"Updated description."
Example:
"2026-07-01"
Example:
"proj_01jqproj0001"
Example:
null
Example:
"user_01jquser0001"
Response
The updated task.
Show child attributes
Show child attributes
⌘I
Update a task
